# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with gcj_support

%if %with gcj_support
%define gcj_support 1
%else
%define gcj_support 0
%endif

%define section free

Name:           ant-contrib
Version:        1.0
Release:        1.b3.2%{?dist}
Epoch:          0
Summary:        Collection of tasks for Ant
License:        ASL 2.0
URL:            http://ant-contrib.sourceforge.net/
Group:          Development/Libraries/Java
Source0:        http://prdownloads.sourceforge.net/ant-contrib/ant-contrib-1.0b3-src.tar.gz
Source1:        ant-contrib-1.0b3.pom
Patch0:         ant-contrib-build_xml.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       ant >= 0:1.6.5
Requires:       bcel >= 0:5.1
Requires:       ivy >= 0:1.3.1
Requires:       jakarta-commons-cli
Requires:       jakarta-commons-codec
Requires:       jakarta-commons-httpclient
Requires:       jakarta-commons-logging
Requires:       java >= 0:1.5.0
Requires:       junit >= 0:3.8.2
Requires:       oro
Requires:       xerces-j2
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  ant-junit
BuildRequires:  ant-nodeps
BuildRequires:  bcel >= 0:5.1
BuildRequires:  ivy >= 0:1.3.1
BuildRequires:  jakarta-commons-cli
BuildRequires:  jakarta-commons-codec
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-logging
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  jpackage-utils
BuildRequires:  junit >= 0:3.8.2
BuildRequires:  oro
BuildRequires:  xerces-j2
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Ant-Contrib project is a collection of tasks 
(and at one point maybe types and other tools) 
for Apache Ant.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -n %{name}
%patch0 -p0 -b .sav0

%{_bindir}/find -name "*.jar" | %{_bindir}/xargs -t %{__rm}

%{__ln_s} $(build-classpath ant) lib/ant/jars/ant-1.6.5.jar
%{__ln_s} $(build-classpath bcel) lib/bcel/jars/bcel-5.1.jar
%{__ln_s} $(build-classpath commons-cli) lib/commons-cli/jars/commons-cli-1.0.jar
%{__ln_s} $(build-classpath commons-codec) lib/commons-codec/jars/commons-codec-1.3.jar
%{__ln_s} $(build-classpath commons-httpclient) lib/commons-httpclient/jars/commons-httpclient-3.0.1.jar
%{__ln_s} $(build-classpath commons-logging) lib/commons-logging/jars/commons-logging-1.0.4.jar
%{__ln_s} $(build-classpath ivy) lib/ivy/jars/ivy-1.3.1.jar
%{__ln_s} $(build-classpath junit) lib/junit/jars/junit-3.8.1.jar
%{__ln_s} $(build-classpath oro) lib/oro/jars/oro-2.0.8.jar
%{__ln_s} $(build-classpath xerces-j2) lib/xercesImpl/jars/xercesImpl-2.6.2.jar

%build
export CLASSPATH=$(build-classpath bcel)
export OPT_JAR_LIST="`%{__cat} %{_sysconfdir}/ant.d/{junit,nodeps}`"
%{ant}
%{ant} -Dbuild.sysclasspath=first test

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p target/ant-contrib.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%{__ln_s} %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p %{SOURCE1} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap ant-contrib ant-contrib 1.0b3 JPP %{name}

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -pr target/docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

# manual
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}-%{version}
%{__cp} -pr target/docs/* %{buildroot}%{_docdir}/%{name}-%{version}
%{__rm} -r %{buildroot}%{_docdir}/%{name}-%{version}/api

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif
%update_maven_depmap

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc docs/LICENSE.txt
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif


%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Thu Nov 05 2009 David Walluck <dwalluck@redhat.com> 0:1.0-1.b3.2
- build for JPP-6

* Thu Feb 19 2009 David Walluck <dwalluck@redhat.com> 0:1.0-1.b3.1
- spec cleanup
- bump release to make this newer than Fedora version

* Mon Jan 12 2009 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b3.2.jpp5
- Relax java-devel BR to >= 1.5.0
- Drop -javadoc ghost and post/postun
- Disown poms and depmap frags dirs

* Sat Jul 05 2008 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b3.1.jpp5
- 1.0b3
- Add pom and depmap frag

* Thu Jul 05 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b2.2jpp
- Relax (B)R to bcel >= 0:5.1

* Tue Aug 29 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b2.1jpp
- Require ant = 0:1.6.5
- Require junit = 0:3.8.2
- First JPP-1.7 release
- Add aot bits

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.6-4jpp
- Upgrade to ant-1.6.2
- BuildReq/Req ant = 0:1.6.2
- Relax some other requirements

* Thu Jun 03 2004 Paul Nasrat <pauln@truemesh.com> - 0:0.6-3jpp
- Fix missing buildrequires

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:0.6-2jpp
- Upgrade to Ant 1.6.X

* Wed Mar 24 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.6-1jpp
- First JPackage release
